34 Games Like Battalion Wars 2 for Playstation 4

Updated:

Rise, Valkyria Chronicles Remastered, and Sudden Strike 4 are our top selection to play today.

The latest addition in this selection are Praetorians - HD Remaster released the 18 September 2020 and ranked #7, Commandos 2 - HD Remaster released the 23 January 2020 and ranked #12, WORLD OF WARSHIPS: LEGENDS released the 30 December 2019 and ranked #19.

34 Games like Battalion Wars 2 for Playstation 4, daily generated comparing over 40 000 video games across all platforms.
This suggestion collection includes tactical real-time games. The order in this selection is not absolute, but the best games tends to be up in the list.

Logo of the video game Battalion Wars 2

Connect to Nintendo Wi-Fi Connection to battle against other players all over the world, or join with friends to play co-operatively. Combat rages on land, sea and air as players command six different armies through five theaters of war, each with its own unique commanding officers.

1# Rise - 2016

Review88Score

Experience our music-driven platform adventure and aim for the highest score! You can even use your own music! Go on a metaphysical journey to the sky and beyond collecting war letters for a loved one.

Rise similarities with Battalion Wars 2:

2# Valkyria Chronicles Remastered - 2016

Review85Score

Two sequels were released for PlayStation Portable, Sony's handheld gaming console: Valkyria Chronicles II in 2010, and Valkyria Chronicles III in 2011. Valkyria Chronicles is a tactical role-playing game in which the player uses a unique turn-based battle system called BLiTZ (Battle of Live Tactical Zones). During their turn the player views an overhead map in Command Mode, but zooms in to control each individual unit on the battlefield in Action Mode. Taking command of individual units during the player's phase costs Command Points, which can be used dynamically to grant movement to many different units or the same unit consecutively with diminishing AP reserve, depending on what the player wants to accomplish.

Valkyria Chronicles Remastered similarities with Battalion Wars 2:

3# Sudden Strike 4 - 2017

Review69Score

Sudden Strike is back! The beloved Real Time Strategy series returns, this time with bigger battlefields, more units, better graphics, new scenarios and legendary commanders with individual abilities – all of which makes Sudden Strike 4 more tactical and realistic than ever before!

Sudden Strike 4 similarities with Battalion Wars 2:

5# Worms WMD All-Stars - 2016

Review82Score

The worms are back in their most destructive game yet. With a gorgeous, hand-drawn 2D look, brand new weapons, the introduction of crafting, vehicles and buildings plus the return of some much-loved classic weapons and gameplay, Worms W.M.D is the best worms experience ever.

Worms WMD All-Stars similarities with Battalion Wars 2:

6# Worbital - 2019

Review78Score

Worbital is a real-time strategic artillery game, peppered with a heavy dose of cosmic chaos. The goal: be the last civilization standing. With the shifting gravity on your side, aim your cannons, blast your enemies and enjoy the fireworks!

Worbital similarities with Battalion Wars 2:

7# Praetorians - HD Remaster - 2020

Review80Score

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Praetorians - HD Remaster similarities with Battalion Wars 2:

9# Worms W.M.D - 2016

Review79Score

The worms are back in their most destructive game yet. With a gorgeous, hand-drawn 2D look, brand new weapons, the introduction of crafting, vehicles and buildings plus the return of some much-loved classic weapons and gameplay, Worms W.M.D is the best worms experience ever.

Worms W.M.D similarities with Battalion Wars 2:

11# Nobunaga's Ambition: Sphere of Influence - Ascension - 2016

Review77Score

The newest release from the Historical Simulation Game landmark series, "Nobunaga's Ambition!" In this release we include "Officer Play" for the first time in the series, allowing players to advance from retainer to Castle Lord and then on to Daimyo.

Nobunaga's Ambition: Sphere of Influence - Ascension similarities with Battalion Wars 2:

12# Commandos 2 - HD Remaster - 2020

Review62Score

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Commandos 2 - HD Remaster similarities with Battalion Wars 2:

13# Battlestar Galactica Deadlock - 2017

Review83Score

In Battlestar Galactica Deadlock™ you’ll take command of the Colonial Fleet in defense of the Twelve Colonies during the First Cylon War. Lead many different types of ships in this 3D tactical game. Every decision counts, your strategy will be vital – can you ensure mankind’s survival?

Battlestar Galactica Deadlock similarities with Battalion Wars 2:

14# 8-Bit Armies - 2016

Review73Score

8-Bit Armies is a retro Real-Time Strategy game. With a colorful, blocky voxel art style, 8-Bit Armies is Petroglyph's most fast-paced, friendly, and accessible RTS game to date. Featuring a campaign of 25 single-player missions, 10 co-op missions, multiplayer and skirmish modes.

8-Bit Armies similarities with Battalion Wars 2:

15# Star Hammer: The Vanguard Prophecy - 2015

Review73Score

Take command of Naval Strike Group 7 and lead your fleet to victory in full 3D tactical space combat. Star Hammer: The Vanguard Prophecy is a sci-fi strategy saga that will test your skills as both capital assault ship Captain and naval fleet Commander.

Star Hammer: The Vanguard Prophecy similarities with Battalion Wars 2:

16# AirMech Arena - 2015

Review76Score

AirMech® Arena is a highly competitive fast-paced real-time strategy game, where players team up AirMechs to amass unrelenting combat forces and destroy the enemy team’s fortress. In the future, the last survivors of the Great War continue their fight with the ultimate war machine: the AirMech®. Created using lost technology, Pilots have found, salvaged, or stolen AirMechs that they use to protect the weak, or to pillage. Which side do you fight for?

AirMech Arena similarities with Battalion Wars 2:

17# ArmaGallant: Decks of Destiny - 2017

Review67Score

ArmaGallant: Decks of Destiny combines deckbuilding with real-time strategy, creating fast-paced 1v1 or 2v2 multiplayer arena battles. Learn and evolve the abilities of electrifying creatures and magical spells, forming powerful decks to unleash upon your enemies. Will you strategically position your army (made up of melee, ranged, and flying classes) around the map, go out like a spellcasting maniac, or utilize your environment to gain a tactical advantage?

ArmaGallant: Decks of Destiny similarities with Battalion Wars 2:

18# Bad North - 2018

Review68Score

Bad North is a charming but brutal real-time tactics roguelite. Defend your idyllic island kingdom against a horde of Viking invaders, as you lead the desperate exodus of your people. Command your loyal subjects to take full tactical advantage of the unique shape of each island.

Bad North similarities with Battalion Wars 2:

19# WORLD OF WARSHIPS: LEGENDS - 2019

ReviewNDScore

Helm dozens of warships from the 20th century's most powerful navies, set sail for glory across stunning oceanic vistas and soundscapes, and enjoy regular free updates. Take control of destroyers, cruisers, or battleships to best suit your playstyle, from a guns blazing approach, to more careful and methodical attacks, and more. Join forces with friends to challenge players around the world, and work together to devise strategies and plan attacks to outgun your opponents and turn the tide of battle.

WORLD OF WARSHIPS: LEGENDS similarities with Battalion Wars 2:

20# Tooth and Tail - 2017

Review81Score

Lead the revolution with an army of flamethrowing Boars, mustard gas-lobbing Skunks, and paratrooper-puking Owls. Tooth and Tail is a Real-Time-Strategy game featuring Single Player, Online Competitive Play, Split Screen, Replays, and more. Build a base, lead your army, eat your enemies!

Tooth and Tail similarities with Battalion Wars 2:

21# War Thunder - 2013

Review79Score

War Thunder is the most comprehensive free-to-play, cross-platform, MMO military game dedicated to aviation, armoured vehicles, and naval craft from World War II and the Cold War. Join now and take part in major battles on land, in the air, and at sea, fighting with millions of players from all over the world in an ever-evolving...

War Thunder similarities with Battalion Wars 2:

22# Dog Duty - 2017

ReviewNDScore

Early Access

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Dog Duty similarities with Battalion Wars 2:

23# Mushroom Wars 2 - 2016

Review75Score

In Mushroom Wars 2, enemy tribes of feisty mushroom creatures face off in short but fierce RTS battles. Step into the shoes of a fearless Mushroom Commander, choose a hero to lead your army, and take control of the battlefield in a variety of multiplayer modes or challenging story campaign.

Mushroom Wars 2 similarities with Battalion Wars 2:

24# Swords and Soldiers 2 Shawarmageddon - 2018

ReviewNDScore

In this base stomping battle extravaganza, you fight to win a fast paced tug of war whether online, locally, in split-screen or against the devious AI. If thats not enough, the developers challenge you to attempt the epic single player campaign that gives you command of Redbeard and his Vikings. Join them as they fight their way through the forests of Vikingland, the scorching sands of Persia and even the nether regions of Hell!

Swords and Soldiers 2 Shawarmageddon similarities with Battalion Wars 2:

25# Brown Dust - 2019

ReviewNDScore

The Empire has fallen, and the Age of Great Mercenaries Now Begins! Create Your Ultimate Team And Strike Down Your Enemies!

Brown Dust similarities with Battalion Wars 2:

12 sept 2018 - New comment system! Drop us a line